HierarchicalTimelineEntity (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timelineservice, class: HierarchicalTimelineEntity

Package org.apache.hadoop.yarn.api.records.timelineservice

# Class HierarchicalTimelineEntity

java.lang.Object
org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity
org.apache.hadoop.yarn.api.records.timelineservice.HierarchicalTimelineEntity

All Implemented Interfaces:
  `Comparable<TimelineEntity>`

Direct Known Subclasses:
  `ApplicationAttemptEntity`, `ApplicationEntity`, `ClusterEntity`, `ContainerEntity`, `FlowRunEntity`, `QueueEntity`, `SubApplicationEntity`

@Public @Unstable public abstract class HierarchicalTimelineEntity extends TimelineEntity
This class extends timeline entity and defines parent-child relationships with other entities.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `TimelineEntity.Identifier`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CHILDREN_INFO_KEY`
  `static final String`
  `PARENT_INFO_KEY`

  ### Fields inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `DEFAULT_ENTITY_PREFIX, SYSTEM_INFO_KEY_PREFIX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(String type, String id)`
  `void`
  `addChild(TimelineEntity.Identifier child)`
  `void`
  `addChildren(Set<TimelineEntity.Identifier> children)`
  `Set<TimelineEntity.Identifier>`
  `getChildren()`
  `TimelineEntity.Identifier`
  `getParent()`
  `void`
  `setChildren(Set<TimelineEntity.Identifier> children)`
  `void`
  `setParent(String type, String id)`
  `void`
  `setParent(TimelineEntity.Identifier parent)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `addConfig, addConfigs, addEvent, addEvents, addInfo, addInfo, addIsRelatedToEntities, addIsRelatedToEntity, addMetric, addMetrics, addRelatesToEntities, addRelatesToEntity, compareTo, equals, getConfigs, getConfigsJAXB, getCreatedTime, getEvents, getId, getIdentifier, getIdPrefix, getInfo, getInfoJAXB, getIsRelatedToEntities, getIsRelatedToEntitiesJAXB, getMetrics, getReal, getRelatesToEntities, getRelatesToEntitiesJAXB, getType, hashCode, isValid, setConfigs, setCreatedTime, setEvents, setId, setIdentifier, setIdPrefix, setInfo, setIsRelatedToEntities, setMetrics, setRelatesToEntities, setType, setUID, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PARENT_INFO_KEY

    public static final String PARENT_INFO_KEY
    See Also:
      - Constant Field Values

  - ### CHILDREN_INFO_KEY

    public static final String CHILDREN_INFO_KEY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getParent

    public TimelineEntity.Identifier getParent()

  - ### setParent

    public void setParent(TimelineEntity.Identifier parent)

  - ### setParent

    public void setParent(String type, String id)

  - ### getChildren

    public Set<TimelineEntity.Identifier> getChildren()

  - ### setChildren

    public void setChildren(Set<TimelineEntity.Identifier> children)

  - ### addChildren

    public void addChildren(Set<TimelineEntity.Identifier> children)

  - ### addChild

    public void addChild(TimelineEntity.Identifier child)

  - ### addChild

    public void addChild(String type, String id)